Skip to Content
S.EE Docs
API Reference

Update Text Sharing

Updates the content and/or title of an existing text sharing. The domain and slug identify which text to update.

PUT
/api/v1/text

Header Parameters

Authorization*string

Your API key

Request Body

Updated text content and settings

application/json
  1. body
content*string

The new text content (up to 2MB)

Lengthlength <= 2097152
domain*string

The domain where the text sharing is hosted (e.g., "fs.to")

Lengthlength <= 255
slug*string

The slug of the text sharing to update

Lengthlength <= 255
title*string

The new title for this text sharing

Lengthlength <= 255

Response Body

OK

application/json
  1. response
code?integer

Response status code (200 indicates success)

data?unknown

Response payload

message?string

Human-readable status message

Example Request
curl -X PUT 'https://s.ee/api/v1/text' \  -H 'Authorization: string' \  -H 'Content-Type: application/json' \  -d '{  "content": "string",  "domain": "string",  "slug": "string",  "title": "string"}'
Example Response200
{  "code": 0,  "data": null,  "message": "string"}